Spellsingers are almost similar to a Human Sorcerer. But Men and Elves treat the elements and spirits differently and think differently about the origin of power. They practice magic which needs mutual response with spirits of fire, water, and ice. These Elemental Magic are very powerful. And the Elves boast great speed so during combat they are most efficient and safer than any other Mages. Plus they are one of the dreaded group during Siege Battle.
To be a Spellsinger, your level must be over 40 and you need to collect the Mark of the Scholar, the Mark of Life, and the Mark of the Magus.
Ask about Tokens.
Return